### Hierarchy

- ShouldAssertion
  - Should

## Index

### Properties

- Throw
- throw

### Methods

- equal
- exist

## Properties

### Throw

Throw: ShouldThrow

- Defined in node_modules/@types/chai/index.d.ts:46

### throw

throw: ShouldThrow

- Defined in node_modules/@types/chai/index.d.ts:47

## Methods

### equal

- equal(value1: any, value2: any, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:45

  #### Parameters

  - ##### value1: any

  - ##### value2: any

  - ##### Optional message: undefined | string

  #### Returns void

### exist

- exist(value: any, message?: undefined | string): void

- - Defined in node_modules/@types/chai/index.d.ts:48

  #### Parameters

  - ##### value: any

  - ##### Optional message: undefined | string

  #### Returns void

Generated using TypeDoc